Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#495 - lede-sdk-17.01.0-rc2 does not contain libtldl.so in staging_dir/<target>/usr/lib #5578

Closed
openwrt-bot opened this issue Feb 10, 2017 · 2 comments
Labels

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Feb 10, 2017

bk138:

I downloaded https://downloads.lede-project.org/releases/17.01.0-rc2/targets/ar71xx/generic/lede-sdk-17.01.0-rc2-ar71xx-generic_gcc-5.4.0_musl-1.1.16.Linux-x86_64.tar.xz, unpacked, updated and installed all feeds.

Then tried to build pulseaudio via
$ make package/pulseudio/compile

which failed complaining tldl.h could not be found. I discovered that said sdk does not contain libtool for the target.

Checked with CC SDK and pulseaudio builds fine there, the CC SDK does include libtool for the target, well at least https://downloads.openwrt.org/chaos_calmer/15.05/ar71xx/generic/OpenWrt-SDK-15.05-ar71xx-generic_gcc-4.8-linaro_uClibc-0.9.33.2.Linux-x86_64.tar.bz2 which I used does.

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Feb 12, 2017

bjonglez:

There seems to be an issue with the feed configuration in the SDK, see FS#501

Do you see the mentioned git error related to the "base" feed?

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Feb 12, 2017

bk138:

Yes I do.

Also, using src-git base https://git.lede-project.org/source.git^v17.01.0-rc2 in the feed config fixes the issue.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Development

No branches or pull requests

1 participant